using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Eco.Handles;
using Eco.ObjectRepresentation;
using Eco.Services;
using Eco.Web.UI.WebControls;

// Instructions: Just load this page in the browser, no coding required

namespace ECO_ORMBattle_SimpleExample
{
	/// <summary>
	/// Summary description for $AutoFormClassName$.
	/// </summary>
	public partial class AutoForm : Eco.Web.AutoForm
	{
		private Eco.Handles.EcoSpace m_EcoSpace;
#region AutoForm overrides
		protected override Eco.Handles.EcoSpace EcoSpace
		{
			get
			{
				return m_EcoSpace;
			}
		}

		protected override void RetrieveEcoSpace()
		{
			if (m_EcoSpace == null)
				m_EcoSpace = EcoSpaceManager1.EcoSpace;
		}


		protected override Control ParentControl
		{
			get
			{
				return AutoFormPlaceHolder;
			}
		}
#endregion

	}
}
